Skip to content
getgeolens.com

Regenerate Vrt Endpoint

POST
/datasets/{dataset_id}/vrt/regenerate/
curl --request POST \
--url https://example.com/api/datasets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/vrt/regenerate/ \
--header 'Authorization: Bearer <token>'

Trigger manual VRT regeneration with advisory lock to prevent concurrent rebuilds.

dataset_id
required
Dataset Id
string format: uuid

Successful Response

Media type application/json
Example generated
example

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}